Kantata Kantata OX Knowledge Base
Release Notes
Status Page

Recommendations

A Recommendation suggests a User for an Unnamed Resource (or some other un-staffed position). The system recommends Users based on how well they match the attributes of a target resource. Attributes include, but are not limited to:

  • Role
  • Skill(s)
  • Single Choice Custom Field(s)
  • Allocation(s).

Fetch Estimate Scenario Resource Recommendations

Returns an ordered list of Recommendations (up to 1000) for an estimate scenario resource.

Request
query Parameters
id
required
integer <int32>

The ID of the EstimateScenarioResource for which to retrieve recommendations.

Responses
200

A list of objects have been retrieved.

Response Schema: application/json
Array of objects
Array
user_id
integer <int32>

The ID of the user that is recommended.

rank
integer <int32>

The rank of the user that is recommended.

400

Bad Request

401

Unauthorized request

403

Forbidden request

404

Page Not Found

422

Unprocessable Entity

503

Service is unavailable

get/recommendations/estimate_scenario_resource
Request samples
Response samples
application/json
{
  • "recommendations": [
    ]
}

Fetches recommendations for a specific unnamed resource in a workspace based on the workspace resource ID.

Returns staffing recommendations for a specific unnamed resource in a workspace based on the workspace resource ID.

Request
query Parameters
resource_id
required
integer <int32>

The ID of the workspace resource for which to retrieve recommendations.

Responses
200

A list of objects have been retrieved.

Response Schema: application/json
Array of objects
Array
workspace_id
integer <int32>

The ID of the workspace.

role_name
string

The role name for the recommendation.

full_name
string

Full name of the recommended user.

total_score
number <float>

Overall recommendation score.

role_score
number <float>

Role matching score.

impact_on_margin_score
number <float>

Impact on project margin score.

availability_score
number <float>

Availability matching score.

skill_score
number <float>

Skill matching score.

400

Bad Request

401

Unauthorized request

403

Forbidden request

404

Page Not Found

422

Unprocessable Entity

503

Service is unavailable

get/recommendations/resources
Request samples
Response samples
application/json
{
  • "resource_recommendations": [
    ]
}

Fetches Staffing Recommendations for a given workspace or role.

Returns staffing recommendations for unnamed resources in a workspace or for all unnamed resources of a specific role.

Request
query Parameters
role_id
integer <int32>

The ID of the role for which to staff all unnamed resources.

workspace_id
integer <int32>

The ID of the workspace for which to retrieve staffing recommendations.

Responses
200

A list of objects have been retrieved.

Response Schema: application/json
Array of objects
Array
workspace_id
integer <int32>

The ID of the workspace.

role_name
string

The role name for the recommendation.

full_name
string

Full name of the recommended user.

total_score
number <float>

Overall recommendation score.

role_score
number <float>

Role matching score.

impact_on_margin_score
number <float>

Impact on project margin score.

availability_score
number <float>

Availability matching score.

skill_score
number <float>

Skill matching score.

400

Bad Request

401

Unauthorized request

403

Forbidden request

404

Page Not Found

422

Unprocessable Entity

503

Service is unavailable

get/recommendations/staffing_recommendations
Request samples
Response samples
application/json
{
  • "staffing_recommendations": [
    ]
}